Bug 151071 - Complete Rawhide should be rebuilt against gcc4/glibc 2.3.4
Summary: Complete Rawhide should be rebuilt against gcc4/glibc 2.3.4
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Bill Nottingham
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-14 16:09 UTC by Robert Scheck
Modified: 2014-03-17 02:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-16 08:28:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Packages in Rawhide not rebuilt after March 8th, 2005 (18.12 KB, text/plain)
2005-05-05 14:18 UTC, Robert Scheck
no flags Details

Description Robert Scheck 2005-03-14 16:09:48 UTC
Description of problem:
Complete Rawhide should be rebuilt (or even tried to rebuild) against gcc4/ 
glibc 2.3.4, because there are many packages having problems with one or both 
of the components listed above.

I still tracked out a few problems as bug #150982, #150984, #150992, #150998,
#151029, #151032, #151050, #151052, #151053 and #151055 - but I think, there
are lots of packages more.

And as of today, it seems so, that many packages need to be patched for gcc4.

Comment 1 Robert Scheck 2005-04-06 07:58:16 UTC
Bug #151098 and #153968 are currently on my personal list, but there are many
more.

Comment 2 Warren Togami 2005-04-27 09:42:57 UTC
Can you please retest this with current rawhide and report what exactly needs
rebuilding?

Comment 3 Robert Scheck 2005-05-05 14:16:53 UTC
That's a very good question, I don't have currently the time to rebuild the 
complete Rawhide.

The time, I opened this bug report, glibc-2.3.4 < -15 had a more strict 
behaviour, which was changed by Jakub with -15 again; see glibc rpm changelog:

* Sat Mar 19 2005 Jakub Jelinek <jakub@redhat.com> 2.3.4-15
- update from CVS
  [...]
  - with -D_FORTIFY_SOURCE=*, avoid defining read and a bunch of others
    as function-like macros, there are too many broken programs
    out there
  [...]

As of today, I only can sort out the packages which were rebuilt successfully 
against the "new" combination of glibc 2.3.4/gcc 4.0.0 introduced in March, 
that excludes 720 out of 1011 packages. So remaining are 291 packages, which 
were not rebuilt after March 8th, 2005 - but this doesn't mean, that all of 
these 291 packages aren't rebuildable. 

a) We can wait for the next complete rebuild of Rawhide and see what happens
b) We could try to rebuild all 291 packages from my list (I only counted them
   by last rebuilding date in Rawhide; so maybe there are also noarch pkgs)

Choose, what you want - if a), close this bugreport with Rawhide, if b) try to 
rebuild the packages of the attached list... ;-)

Comment 4 Robert Scheck 2005-05-05 14:18:49 UTC
Created attachment 114056 [details]
Packages in Rawhide not rebuilt after March 8th, 2005

Comment 5 Warren Togami 2005-05-16 08:28:59 UTC
Engineering management said they will NOT do a mass rebuild at this point.  File
individual bugs for each package that should be rebuilt, and only if it meets
something like one of these criteria:

* it demonstrates that it fixes something
* it fails to build now (in which case it should be fixed and rebuilt for
reproducibility)
* if a rebuild changes deps


Note You need to log in before you can comment on or make changes to this bug.